%Progam digital.m
fprintf('Enter a number that corresponds to the digital system.\n\n')
fprintf('For matched filter BPSK, enter 1.\n')
fprintf('For coherent DPSK, enter 2.\n')
fprintf('For matched filter ASK, enter 3.\n')
fprintf('For enveloped detected FSK, enter 4.\n')
fprintf('For other binary systems, enter 5.\n')
fprintf('\n')
n=input('Enter the correct number from the list above. ');
N=input('Enter the number of bits in each word. ');
M=2^N;
rhodb=input('Enter the input bit energy to one-sided noise density in dB. ');
rho=10^(rhodb/10);
if n==1
Pe=0.5*erfc(sqrt(rho));
elseif n==2
   Pe=0.5*exp(-rho);
elseif n==3
   Pe=0.5*erfc(sqrt(rho/2));
elseif n==4
    Pe=0.5*exp(-rho/2);
elseif n==5
    Pe=input('Enter the probability of error. ');
else
        fprintf('The number entered is not valid.')     
end
fprintf('\n')
R=(1.5*M^2)/(1+4*M^2*Pe);
Rdb=10*log10(R);
fprintf('The absolute value of the output S/N ratio is %g.\n\n',R)
fprintf('The decibel value of the output S/N ratio is %g dB.\n\n',Rdb)
  

    
    
