%Title of M-File is fourier_series_1.m
%Program to Determine Amplitude Spectrum in One-Sided Form Using FFT
fprintf('\n')
fprintf('The function v must already be in memory.\n')
fprintf('It should be a row vector defined over one cycle.\n\n')
N=size(v,2);
fprintf('The number of points in one cycle is %g.\n\n',N) 
delt=input('Enter the time step between points in seconds. ');
fprintf('\n')
fs=N*delt;
f1=1/fs;
fprintf('The fundamental frequency is %g Hz.\n\n',f1)
fprintf('The highest unambiguous frequency is %g Hz.\n\n',0.5/delt)
fprintf('Enter integers requested as multiples of the fundamental.\n')
fprintf('For example, dc would be entered as 0.\n')
fprintf('The fundamental would be entered as 1.\n')
fprintf('The 2nd harmonic would be entered as 2, etc.\n')
fprintf('The highest integer that should be entered is %g. \n\n',N/2-1)
N1=input('Enter the lowest integer for plotting. ');
fprintf('\n')
N2=input('Enter the highest integer for plotting. ');
fa=N1*f1;
fb=N2*f1;
V1=abs(fft(v))/N;
V2(1)=V1(1);
V2(2:N/2)=2*V1(2:N/2);
C=V2(N1+1:N2+1);
f=fa:f1:fb;
stem(f,C)
xlabel('Frequency, Hz')
ylabel('Amplitude')
title('Amplitude Spectrum Based on One-Sided Form Using FFT')
grid





