%Title of M-File is fourier_transform.m
%Program to Determine Amplitude Spectrum of Fourier Transform Using FFT
fprintf('\n')
fprintf('The function v must already be in memory.\n')
fprintf('It should be a row vector defined over the time interval.\n\n')
N=size(v,2);
fprintf('The total number of points is %g.\n\n',N) 
delt=input('Enter the time step between points in seconds. ');
fprintf('\n')
fs=N*delt;
f1=1/fs;
fprintf('The frequency increment between points is %g Hz. \n\n',f1)
fprintf('The highest unambiguous frequency is %g Hz. \n\n',0.5/delt)
fprintf('Enter integers as multiples of the frequency increment.\n')
fprintf('For example, dc would be entered as 0.\n')
fprintf('The lowest non-zero frequency would be entered as 1.\n')
fprintf('The next frequency would be entered as 2, etc.\n')
fprintf('The highest integer that should be entered is %g.\n\n',N/2-1)
N1=input('Enter the lowest integer for plotting. ');
N2=input('Enter the highest integer for plotting. ');
fa=N1*f1;
fb=N2*f1;
V1=delt*abs(fft(v));
V2(1:N/2)=V1(1:N/2);
V=V2(N1+1:N2+1);
f=fa:f1:fb;
plot(f,V)
xlabel('Frequency, Hz')
ylabel('Amplitude')
title('Amplitude Spectrum of Fourier Transform Using FFT')
grid





