%Program fsk.m
delt=1e-6;
t=0:delt:.012-delt;
tbit=0:delt:1e-3-delt;
v0=sin(2*pi*1000*tbit);
v1=sin(2*pi*2000*tbit);
v=[v0 v1];
for n=2:5
    v=[v v0 v1];
end
v=[v zeros(1,2000)];
[n0 d0]=butter(2,2*pi*[500 1500],'s');
[n1 d1]=butter(2,2*pi*[1500 2500],'s');
y0=lsim(n0,d0,v,t);
y1=lsim(n1,d1,v,t);
figure(1)
plot(t,v)
xlabel('Time, seconds')
ylabel('Voltage, volts')
title('FSK Signal Based on Dotting Pattern')
grid
pause
figure(2)
plot(t(1:2000),v(1:2000))
xlabel('Time, seconds')
ylabel('Voltage, volts')
title('FSK Signal For First Two Bits')
grid
pause
figure(3)
plot(t,y0)
xlabel('Time, seconds')
ylabel('Voltage, volts')
title('Output of Space Filter')
grid
pause
figure(4)
plot(t,y1)
xlabel('Time, seconds')
ylabel('Voltage, volts')
title('Output of Mark Filter')
grid
pause
