%Program noise1.m
delt=1e-6;
t_long=0:delt:2e-3-delt;
randn('seed',1)
vnoise_long=10*randn(1,2000);
[n d]=butter(2,2*pi*2000,'s');
vfil_long=lsim(n,d,vnoise_long,t_long);
t=t_long(1001:2000);
vnoise=vnoise_long(1001:2000);
vfil=vfil_long(1001:2000);
figure(1)
plot(t,vnoise)
xlabel('Time, seconds')
ylabel('Voltage, volts')
title('Unfiltered Input Noise Voltage')
grid
pause
figure(2)
plot(t,vfil)
xlabel('Time, seconds')
ylabel('Voltage, volts')
title('Filtered Output Low-Pass Noise Voltage')
grid
vrms_in=std(vnoise)
vrms_out=std(vfil)
