%Program qpsk.m
%Program to observe behavior of 1000 Hz signal in 4 states.
tbaud=1/500;
delt=tbaud/1000;
t=0:delt:1/500-delt;
arg=2*pi*1000*t;
v00=cos(arg+.75*pi);
v01=cos(arg-.75*pi);
v10=cos(arg+.25*pi);
v11=cos(arg-.25*pi);
subplot(2,2,1)
plot(t,v00)
xlabel('Time, seconds')
ylabel('v, volts')
gtext('00')
subplot(2,2,2)
plot(t,v01);
xlabel('Time, seconds')
ylabel('v, volts')
gtext('01')
subplot(2,2,3)
plot(t,v10)
xlabel('Time, seconds')
ylabel('v, volts')
gtext('10')
subplot(2,2,4)
plot(t,v11)
xlabel('Time, seconds')
ylabel('v, volts')
gtext('11')