%Title of M-file is trans_line.m
fprintf('\n')
Vs=input('Enter the rms value of the source voltage in volts. ');
R0=input('Enter the characteristic impedance of the line in ohms. ');
Rs=input('Enter the real part of source impedance in ohms. ');
Xs=input('Enter the imaginary part of source impedance in ohms. ');
RL=input('Enter the real part of load impedance in ohms. ');
XL=input('Enter the imaginary part of load impedance in ohms. ');
D=input('Enter the length of line in wavelengths. ');
fprintf('\n')
Zs=Rs+j*Xs;
ZL=RL+j*XL;
Pav=Vs^2/(4*Rs);
Gamma_L=(ZL-R0)/(ZL+R0);
com=Gamma_L*exp(-j*4*pi*D);
Zin=R0*(1+com)/(1-com);
Rin=real(Zin);
Xin=imag(Zin);
Iin=Vs/(Zs+Zin);
PL=(abs(Iin))^2*Rin;
a=abs(Gamma_L);
S=(1+a)/(1-a);
fprintf('The real part of the input impedance is %g ohms.\n',Rin)
fprintf('The imaginary part of the input impedance is %g ohms.\n',Xin)
fprintf('The standing-wave ratio is %g.\n',S)
fprintf('The maximum available power from the source is %g watts.\n',Pav)
fprintf('The power delivered to the load is %g watts.\n',PL)
fprintf('The loss due to mismatch is %g dB.\n',10*log10(Pav/PL))
