%Progam analog.m
fprintf('Enter a number that corresponds to the modulation system.\n\n')
fprintf('For SSB, enter 1.\n')
fprintf('For DSB, enter 2.\n')
fprintf('For AM, enter 3.\n')
fprintf('For PM, enter 4.\n')
fprintf('For FM without preemphasis, enter 5.\n')
fprintf('For FM with preemphasis, enter 6.\n')
fprintf('\n')
n=input('Enter the correct number from the list above. ');
Ridb=input('Enter the receiver input S/N ratio in dB. ');
if n==1
Gb=1;
Gr=1;
elseif n==2
    Gb=1;
    Gr=2;
elseif n==3
    m=input('Enter the modulation factor as a fraction. ');
    Gb=m^2/(2+m^2);
    Gr=2*Gb;
elseif n==4
    delphi=input('Enter the maximum phase deviations in radians. ');
    Gb=0.5*delphi^2;
    Gr=2*Gb*(1+delphi);
elseif n==5
    D=input('Enter the FM deviation ratio. ');
    Gb=1.5*D^2;
    Gr=2*Gb*(1+D);
elseif n==6
        D=input('Enter the FM deviation ratio. ');
        pre_ratio=input('Enter the ratio of 3-dB premphasis frequency to baseband bandwidth. ');
        factor=(pi/6)*pre_ratio;
        Gb=1.5*factor*D^2;
        Gr=2*Gb*(1+D);
    else
        fprintf('The number entered is not valid.')     
    end
fprintf('\n')
Gbdb=10*log10(Gb);
Grdb=10*log10(Gr);
Rodb=Ridb+Grdb;
fprintf('The absolute value of the baseband comparison gain is %g.\n\n',Gb)
fprintf('The decibel value of the baseband comparison gain is %g dB.\n\n',Gbdb)
fprintf('The absolute value of the receiver processing gain is %g.\n\n',Gr)
fprintf('The decibel value of the receiver processing gain is %g dB.\n\n',Grdb)
fprintf('The decibel value of the detected S/N ratio is %g dB.',Rodb)
  

    
    
