%Program satellite.m
fprintf('\n')
Pt=input('Enter the transmitter power in watts. ');
Gtdb=input('Enter the transmitter antenna gain in dB. ');
Grdb=input('Enter the receiver antenna gain in dB. ');
f=input('Enter the frequency in GHz. ');
B=input('Enter the bandwidth in Hz. ');
Te=input('Enter the receiver noise temperature in kelvin. ');
Text=input('Enter the external noise temperature in kelvin. ');
Lmisc=input('Enter the value of miscellaneous losses in dB. ');
L=input('Enter the ground station latitude in degrees. ');
l=input('Enter the difference in longitude in degrees. ');
Lrad=(pi/180)*L;
lrad=(pi/180)*l;
rkm=35.786e3*sqrt(1+0.42*(1-cos(Lrad)*cos(lrad)));
alpha1=20*log10(f)+20*log10(rkm)+92.44;
EIRPdbw=10*log10(Pt)+Gtdb;
Tsys=Te+Text;
GoverT=Grdb-10*log10(Tsys);
Prdbw=EIRPdbw-alpha1+Grdb;
Prdbf=Prdbw+150;
CoverNdb=EIRPdbw-alpha1+GoverT+228.6-10*log10(B)-Lmisc;
fprintf('\n')
fprintf('The range is %g km.\n',rkm)
fprintf('The EIRP is %g dBW.\n',EIRPdbw)
fprintf('The path loss is %g dB.\n',alpha1)
fprintf('The system noise temperature is %g K.\n',Tsys)
fprintf('The received power is %g dBf.\n',Prdbf)
fprintf('The G/T ratio at the receiver is %g dB/K.\n',GoverT)
fprintf('The C/N ratio at the receiver is %g dB.\n\n',CoverNdb)

